package {{basePackage}}.utils.date;

import java.util.Date;

import cn.hutool.core.date.DateUtil;

/***
 * dcrenl: 2023-09-07 12:52:32
 * 使用hutool封装日期处理方法
 */
public class DateUtils {

    /**
     * dcrenl: 2023-09-07 13:7:30
     * 获取当前日期
     * @return
     */
    public static Date getDate() {

        return DateUtil.date();
    }

    /**
     * dcrenl: 2023-09-07 13:7:33
     * 字符串转日期
     * @param strDate   日期字符串
     * @param strFormat 转换格式，为空时默认为字符串格式，yyyy/MM/dd HH:mm:ss.SSS
     * @return
     */
    public static Date parse(String strDate, String strFormat) {
        if (strFormat.isEmpty())
            return DateUtil.parse(strDate);

        return DateUtil.parse(strDate, strFormat);
    }

    /**
     * dcrenl: 2023-09-07 13:7:39
     * 年龄计算
     * @param strDate 出生日期字符串
     * @return
     */
    public static int getAge(String strDate) {
        return DateUtil.ageOfNow(strDate);
    }


}
